<?php
/**
 * survey_add_view.php - Add and edit page for survey.
 *
 * @author $Author: dtong $
 * @version $Id: survey_add_view.php,v 1.14 2011/08/09 11:52:31 dtong Exp $
 * @copyright Copyright (c) ${year}, Tiller Software Co., Ltd.
*/
if ( $is_edit ) {
	$pagetitle = lang('survey_edit_title');
	$submit_url = base_url(). 'survey/util/updates';
}
else {
	$pagetitle = lang('survey_create_title');
	$submit_url = base_url(). 'survey/util/creates';
}
?>
<center style="margin-bottom:10px"><b><font size="+1"><?php echo $pagetitle?></font></b></center>
<form name="frm_survey_add" method="POST" >
<input type="hidden" name="extid" value="<?php echo $extid;?>" />
<?php if ( isset($surveyid) ) {?>
	<input type="hidden" name="surveyid" value="<?php echo $surveyid;?>" />
<?php } ?>
<center>
<?php if (isset($survey_url)) {
	echo lang('survey_url_link_label') . ' <u>' . $survey_url . '</u><br /><br />';
}?>
<table class="survey_tablex" border="0">
	<tr>
		<td align="right" class="required"><div style="margin-bottom:5px"><?php echo lang('survey_col_title')?></div></td>
		<td align="left">
			<div style="margin-bottom:5px"><input type="text" name="title" size="50" value="<?php echo $title?>" /></div>
		</td>
	</tr>
	<tr>
		<td align="right" valign="top" class="required"><?php echo lang('survey_col_survey')?></td>
		<td align="left">
			<?php
				$template = 'template';
				if ( !isset($survey_dirty) || !$survey_dirty ) {
					echo form_dropdown($template, $survey_selections, $survey_selected, "size=\"{$survey_selections_size}\"");
					echo '<br /><span style="font-size:10px;font-style:italic">(' . lang('survey_template_warning') . ')</span>';
				}
				else {
					echo $selected_template_title;
					echo '<br /><span style="font-size:10px;font-style:italic">(' . lang('survey_template_cant_change') . ')</span>';
					echo "<input type='hidden' name='{$template}' value='{$survey_selected}' />";
				}
			?>
		</td>
	</tr>
	<tr>
		<td align="right"
		<?php
			if ( count($islogin_flags) > 1 ) {
				echo "class='required'";
			}
		?>
		><?php echo lang('survey_col_islogin_flag')?></td>
		<td align="left" >
		<?php
			$islogin_id = 'islogin';
			$islogin_flag_id = 'islogin_flag';
			if ( count($islogin_flags) <= 1 ) {
				foreach($islogin_flags as $key=>$val){
					echo '<span>' . $val . '</span>' . form_hidden($islogin_id, $key);
				}
			}
			else {
				echo form_dropdown($islogin_id, $islogin_flags, $islogin_flag_selected, "size='{$islogin_flags_selection_size}' id='{$islogin_flag_id}' onclick=do_logintype('{$islogin_flag_id}');");
			}
		?>
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
	<?php
	if ( $hide_code === FALSE ) {
	?>
	<tr valign="top" id="security_code">
		<td align="right"><?php echo lang('survey_col_code');?></td>
		<td align="left" >
			<?php
				echo form_input('code', $code, "id='code'");
				echo '<br /><span style="font-size:10px;font-style:italic">(' . lang('survey_code_warning') . ')</span>';
			?>
		</td>
	</tr>
	<?php } ?>
	<tr>
		<td align="right" class="required"><?php echo lang('survey_col_startdate')?></td>
		<td align="left" >
			<input type="text" id="startdate" name="startdate" size="20" onClick="this.blur();"
	     		value="<?php echo $startdate;?>" />
	      <input type="image" src="<?php echo osa_imagepath().'calen.gif'?>" name="startdatebutton" id="startdatebutton">
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
	<tr>
		<td align="right" class="required"><?php echo lang('survey_col_enddate')?></td>
		<td align="left" >
			<input type="text" id="enddate" name="enddate" size="20" onClick="this.blur();"
            		value="<?php echo $enddate;?>" />
      	<input type="image" src="<?php echo osa_imagepath().'calen.gif'?>" name="enddatebutton" id="enddatebutton">
		</td>
	</tr>
	<tr><td colspan="2"></td></tr>
	<tr>
		<td colspan="2">
			<table><tr>
			<td align="right" valign="top"><?php echo lang('survey_blocks')?></td>
			<td valign="top">
			<?php $block_size=count($blocks) + 1;
					echo form_dropdown('blocks[]', $blocks, $selected_blocks, 'size="' . $block_size . '" multiple="multiple"');
			?></td>
			<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
			<td align="right" valign="top"><?php echo lang('survey_courses')?></td>
			<td><?php echo form_dropdown('courses[]', $courses, $selected_courses, 'size="15" multiple="multiple"'); ?></td>
			</tr></table>
		</td>
	</tr>

	<tr><td colspan="2"><br /></td></tr>
	<tr>
		<td colspan="2" align="center">
			<?php if ($is_edit) { ?>
				<input type="button" value="<?php echo lang('survey_btn_cancel')?>" <?php osa_btn();?>
					onClick="return cancelInput('page_content', '<?php echo base_url() . "survey/util/lists/$extid"?>');" />
				<span style="margin-left:30px"></span>
				<input type="button" value="<?php echo lang('survey_btn_save');?>" <?php osa_btn();?>
					onClick="ajaxPostform('','<?php echo $submit_url?>','frm_survey_add');
								ajaxGetpage('page_content','<?php echo base_url() . "survey/util/lists/$extid"?>');return false;" />
			<?php } else { ?>
				<input type="button" value="<?php echo lang('survey_btn_cancel')?>" <?php osa_btn();?>
					onClick="return cancelInput('page_content', '<?php echo osa_url_history(CMS_URLHISTORY_GOAL)?>');" />
				<span style="margin-left:30px"></span>
				<input type="button" value="<?php echo lang('survey_btn_save');?>" <?php osa_btn();?>
					onClick="ajaxPostform('page_content','<?php echo $submit_url?>','frm_survey_add', false); return false;" />
			<?php } ?>
		</td>
	</tr>
</table>
</center>
</form>