<?php
/**
 * config_util_todcm2.php - Config utility calss for todcm2 template.
 *
 * @author $Author: dtong $
 * @version $Id: config_util_todcm2.php,v 1.1 2011/10/18 09:28:13 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class config_util_todcm2 {
	//Only run this once
	private static $is_ran = FALSE;
	private $CI;

	function __construct() {
		$this->CI = & get_instance();
		$this->CI->load->model('admin/config_util_model');
		$this->init();
	}

	function init($force_init=FALSE) {
		if ( self::$is_ran && !$force_init ) {
			return;
		}
		$this->strandid();
		$this->standardid();
		self::$is_ran = TRUE;
	}

	function strandid() {
		return $this->CI->config_util_model->get_default_os_strandid();
	}

	function standardid() {
		return $this->CI->config_util_model->get_default_os_standardid();
	}
}